Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.actions
Class CloseDialogAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.WindowAction
              de.jsystems.framework.common.actions.CloseDialogAction

All Implemented Interfaces:
  EventListener, WindowListener

public class CloseDialogAction
extends WindowAction

Allgemeine Action zum schliessen eines Dialoges. Hierzu wird im `BusinessDialogController` die Methode `BusinessDialogController.hideDialog()` aufgerufen. Es ist zwingende Voraussetzung, das der Controller in dieser Action vom Typ `BusinessDialogController` ist. Falls diese Anforderung nicht erfuellt ist, wird eine `IllegalArgumentException` ausgeloest.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`CloseDialogAction()` Erzeugt eine neue CloseDialogAction.

Method Summary
`void` | `doWindowClosing(WindowEvent we)` Ruft im Controller die Methode `BusinessDialogController.hideDialog()` auf.

Methods inherited from class de.jsystems.framework.common.action.awt.WindowAction
`doWindowActivated, doWindowClosed, doWindowDeactivated, doWindowDeiconified, doWindowIconified, doWindowOpened, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseDialogAction

    public CloseDialogAction()

  Erzeugt eine neue CloseDialogAction.

Method Detail

### doWindowClosing

    public void doWindowClosing(WindowEvent we)
                         throws Exception

  Ruft im Controller die Methode `BusinessDialogController.hideDialog()` auf. Dabei wird vorausgesetzt, das der Controller vom Typ `BusinessDialogController` ist. Falls der Controller nicht vom gewuenschten Typ ist wird eine `IllegalArgumentException` ausgeloest.

  Overrides:
    `doWindowClosing` in class `WindowAction`
  Parameters:
    `we` - Das ausgeloeste WindowEvent.
  Throws:
    `Exception` - wenn ein Fehler in der Action auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD